package common.block;

import common.init.Items;
import common.item.CheatTab;
import common.item.Item;
import common.material.Material;
import common.rng.Random;
import common.util.ExtMath;
import common.world.State;

public class BlockGlowstone extends Block
{
    public BlockGlowstone(Material materialIn)
    {
        super(materialIn);
        this.setTab(CheatTab.tabNature);
    }

    /**
     * Get the quantity dropped based on the given fortune level
     */
    public int quantityDroppedWithBonus(int fortune, Random random)
    {
        return ExtMath.clampi(this.quantityDropped(random) + random.zrange(fortune + 1), 1, 4);
    }

    /**
     * Returns the quantity of items to drop on block destruction.
     */
    public int quantityDropped(Random random)
    {
        return random.range(2, 4);
    }

    /**
     * Get the Item that this Block should drop when harvested.
     */
    public Item getItemDropped(State state, Random rand, int fortune)
    {
        return Items.glowstone_dust;
    }

//    /**
//     * Get the MapColor for this Block and the given BlockState
//     */
//    public MapColor getMapColor(IBlockState state)
//    {
//        return MapColor.sandColor;
//    }
}
